#include <bits/stdc++.h>

using namespace std;
int brx=0, bry=0;

void cifre(int x, int y){
    
    while(x>0 || y>0){
        if(x>0){
            x/=10;
            brx++; 
        }
        if(y>0){
            y/=10;
            bry++; 
        }
    }
    
}
int z[100000];
int novbroj(int x,int y){
    int k=0;
    for(int i=0; i<max(brx,bry);i++){
        if(i<min(brx,bry)){
            if(x%10>y%10)z[k]=x%10;
            else if(x%10<y%10)z[k]=y%10;
            else{
                z[k]=x%10;
                z[k+1]=y%10;
                k+=1;
            }
            k++;
            x/=10;
            y/=10;
        }else{
            if(brx>bry){
                z[k]=x%10;
                x/=10;
            }else if(brx<bry){
                z[k]=y%10;
                y/=10;
            }
            k++;
        }
    }
    return k;
}
int main()
{
    int x, y;cin>>x>>y;
    cifre(x,y);
    for(int i=novbroj(x,y)-1; i>=0; i--)cout<<z[i];
}